| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Entity Class Reference

The Entity class is the abstract base class for all the objects that support QoS policies, a listener and a status condition. More...

`#include <Entity.hpp>`

Inheritance diagram for Entity:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | Entity (const StatusMask &mask=StatusMask::all())
| Constructor.
virtual ReturnCode_t | enable ()
| This operation enables the Entity.
void | close ()
| This operation disables the Entity before closing it.
FASTDDS_EXPORTED_API const StatusMask & | get_status_mask () const
| Retrieves the set of relevant statuses for the Entity.
FASTDDS_EXPORTED_API const StatusMask & | get_status_changes () const
| Retrieves the set of triggered statuses in the Entity.
const InstanceHandle_t & | get_instance_handle () const
| Retrieves the instance handler that represents the Entity.
FASTDDS_EXPORTED_API bool | is_enabled () const
| Checks if the Entity is enabled.
FASTDDS_EXPORTED_API bool | operator== (const Entity &other) const
FASTDDS_EXPORTED_API StatusCondition & | get_statuscondition ()
| Allows access to the StatusCondition associated with the Entity.
FASTDDS_EXPORTED_API const StatusCondition & | get_statuscondition () const
| Allows access to the StatusCondition associated with the Entity.

## Protected Member Functions

FASTDDS_EXPORTED_API void | set_instance_handle (const InstanceHandle_t &handle)
| Setter for the Instance Handle.

## Protected Attributes

StatusMask | status_mask_
| StatusMask with relevant statuses set to 1.
StatusCondition | status_condition_
| Condition associated to the Entity.
InstanceHandle_t | instance_handle_
| InstanceHandle associated to the Entity.
bool | enable_
| Boolean that states if the Entity is enabled or disabled.

## Detailed Description

The Entity class is the abstract base class for all the objects that support QoS policies, a listener and a status condition.

## Constructor & Destructor Documentation

## ◆ Entity()

FASTDDS_EXPORTED_API Entity | ( | const StatusMask & | mask = StatusMask::all() | ) |

inline

Constructor.

Parameters

  mask | StatusMask (default: all)

## Member Function Documentation

## ◆ close()

void close | ( |  | ) |

inline

This operation disables the Entity before closing it.

## ◆ enable()

virtual ReturnCode_t enable | ( |  | ) |

inline virtual

This operation enables the Entity.

Returns
  RETCODE_OK

Reimplemented in DataReader, DataWriter, DomainParticipant, Publisher, and Subscriber.

## ◆ get_instance_handle()

const InstanceHandle_t & get_instance_handle | ( |  | ) | const

inline

Retrieves the instance handler that represents the Entity.

Returns
  Reference to the InstanceHandle

## ◆ get_status_changes()

FASTDDS_EXPORTED_API const StatusMask & get_status_changes | ( |  | ) | const

Retrieves the set of triggered statuses in the Entity.

Triggered statuses are the ones whose value has changed since the last time the application read the status. When the entity is first created or if the entity is not enabled, all communication statuses are in the non-triggered state, so the list returned by the get_status_changes operation will be empty. The list of statuses returned by the get_status_changes operation refers to the status that are triggered on the Entity itself and does not include statuses that apply to contained entities.

Returns
  const reference to the StatusMask with the triggered statuses set to 1

## ◆ get_status_mask()

FASTDDS_EXPORTED_API const StatusMask & get_status_mask | ( |  | ) | const

inline

Retrieves the set of relevant statuses for the Entity.

Returns
  Reference to the StatusMask with the relevant statuses set to 1

## ◆ get_statuscondition() [1/2]

FASTDDS_EXPORTED_API StatusCondition & get_statuscondition | ( |  | ) |

inline

Allows access to the StatusCondition associated with the Entity.

Returns
  Reference to StatusCondition object

## ◆ get_statuscondition() [2/2]

FASTDDS_EXPORTED_API const StatusCondition & get_statuscondition | ( |  | ) | const

inline

Allows access to the StatusCondition associated with the Entity.

Returns
  Const Reference to StatusCondition object

## ◆ is_enabled()

FASTDDS_EXPORTED_API bool is_enabled | ( |  | ) | const

inline

Checks if the Entity is enabled.

Returns
  true if enabled, false if not

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const Entity & | other | ) | const

inline

## ◆ set_instance_handle()

FASTDDS_EXPORTED_API void set_instance_handle | ( | const InstanceHandle_t & | handle | ) |

inline protected

Setter for the Instance Handle.

Parameters

  handle | Instance Handle

## Member Data Documentation

## ◆ enable_

bool enable_

protected

Boolean that states if the Entity is enabled or disabled.

## ◆ instance_handle_

InstanceHandle_t instance_handle_

protected

InstanceHandle associated to the Entity.

## ◆ status_condition_

StatusCondition status_condition_

protected

Condition associated to the Entity.

## ◆ status_mask_

StatusMask status_mask_

protected

StatusMask with relevant statuses set to 1.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/Entity.hpp